| GET | /RestApi/personalizations/render |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PageNodeId | query | Guid | No | |
| PageDataId | query | Guid | No | |
| Controls | query | List<string> | No | |
| Url | query | string | No | |
| PageNodeKey | query | string | No | |
| CorrelationId | query | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/personalizations/render HTTP/1.1 Host: www.asg.com.au Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"ControlId":"String","Content":"String"}]